Skip to main content
GET
/
tasks-gallery
Read tasks gallery
curl --request GET \
  --url https://apiweb.mile.app/api/v3/tasks-gallery \
  --header 'Authorization: Bearer <token>'
{
  "status": true,
  "message": "Success.",
  "tasks": {
    "current_page": 1,
    "data": [
      {
        "_id": "670391525629320817090499",
        "flow": "House Inspection",
        "hubId": "6703914e77af81f988097019",
        "status": "DONE",
        "startTime": "2024-10-07T07:44:18+00:00",
        "endTime": "2025-10-07T07:44:18+00:00",
        "gambar_0_url": "https://apistorage.mile.app/v3-public/66791b2bf001a712b77b3622/2025/02/25/1740460696_pexels-eberhardgross-1421904.jpg",
        "title": "Ophelia (Demo Data 9)",
        "content": "76124 Paul Crossroad Suite 868",
        "flowId": "6703914f77af81f98809701b",
        "assignedVehicle": null
      },
      {
        "_id": "670391525629320817090496",
        "flow": "House Inspection",
        "hubId": "6703914e77af81f988097019",
        "status": "DONE",
        "startTime": "2024-10-07T07:44:18+00:00",
        "endTime": "2025-10-07T07:44:18+00:00",
        "gambar_0_url": "https://apistorage.mile.app/v3-public/66791b2bf001a712b77b3622/2025/02/25/1740460696_pexels-eberhardgross-1421904.jpg",
        "title": "Maxie (Demo Data 8)",
        "content": "6859 Sebastian Stravenue",
        "flowId": "6703914f77af81f98809701b",
        "assignedVehicle": null
      }
    ],
    "buffer": [
      {
        "_id": "670391525629320817090410",
        "flow": "House Inspection",
        "hubId": "6703914e77af81f988097019",
        "status": "DONE",
        "startTime": "2024-10-07T07:44:18+00:00",
        "endTime": "2025-10-07T07:44:18+00:00",
        "gambar_0_url": "https://apistorage.mile.app/v3-public/66791b2bf001a712b77b3622/2025/02/25/1740460696_pexels-eberhardgross-1421904.jpg",
        "title": "Maxie 2 (Demo Data 10)",
        "content": "6859 Sebastian Stravenue 2",
        "flowId": "6703914f77af81f98809701b",
        "assignedVehicle": null
      }
    ],
    "page_processed": "3",
    "last_page": false,
    "total_estimate": "24",
    "countProcessed": 15
  }
}

Authorizations

Authorization
string
header
required

Use a valid Bearer token to authenticate.

Query Parameters

page
integer
default:1

The page number of results to retrieve. Example: 2

limit
integer
default:20

Specifies the maximum number of items to retrieve in a single request. Example: 10

Required range: 1 <= x <= 1000
fields
string

Fields is for selecting the specific fields that you can choose by multiples to show in the response using a string with a comma delimiter. Example: startTime,endTime,hubId,createdBy,flow,status

flow
string

List flow name that user need to get, string with comma (,) delimiter. Use Flow /flows API to get the list of flow names. Example: Visit,Delivery,Pickup

doneBy
string

Name of user that completing the task. Example: Leandro

assignee
string

User email for a given task. Example: leandro@mile.app

status
string

Status of task according to task's data condition. There are 3 types of status: enum: UNASSIGNED,ONGOING,DONE Example: UNASSIGNED

hubId
string

Fundamental entity within an organization, serving as the central point for managing various operational components. Use Use GET /hubs endpoint to get the list of Hub IDs. Example: 634e98498ce07d29474a7e29

active
string

state of active means we only need to retrieve tasks which startTime and endTime is still relevant with the current time. Example: true

isVisit
string

state of visit means we only need to retrieve tasks which endTime is still relevant with the current time. Example: true

sortBy
string

sortBy is used to sort the result-set in ascending or descending order according to selected field. Example: createdTime,orderIndex,startTime,doneTime Default: createdTime

sortOrder
string

sortOrder is to decide ascending or descending order Example: asc or desc. Default: desc

timeBy
string

Optional filter to range data between one of the following options : enum: createdTime,startTime,doneTime Example: startTime

timeFrom
string<date-time>

Used to set the start limit of the data range to retrieve based on timeBy with format (Y-m-d H:i:s) Example: 2023-01-01 00:00:00

timeTo
string

Used to set the end limit of the data range to retrieve based on timeBy with format (Y-m-d H:i:s) Example: 2023-01-01 23:59:59

batchId
string

Used for unique batch identifier for the current filter state.

Response

Success

status
boolean

Status of response.

message
string

Message of API response.

task
object

Detail of object task.